package de.steamwar.lobby.particle.elements;

import de.steamwar.lobby.particle.ParticleElement;
import de.steamwar.lobby.particle.ParticleTickData;

public class Flying extends DelegatingParticleElement {

    public Flying(ParticleElement particleElement) {
        super(particleElement);
    }

    @Override
    public String attribute() {
        return "PARTICLE_ATTRIBUTE_FLYING";
    }

    @Override
    public void tick(ParticleTickData particleTickData) {
        if (!particleTickData.getPlayer().isGliding()) {
            return;
        }
        particleElement.tick(particleTickData);
    }
}
